﻿@using System.Data
@model DataTable
@{
    ViewBag.Title = "Learner";
}

@section css{
    <link href="~/Content/css/datatables/datatables.bundle.css" rel="stylesheet" />
}

@section scripts{
    <script src="~/Scripts/js/datatables/datatables.bundle.js"></script>
    <script src="~/Scripts/Primary/dropzone.js"></script>
    <script>
        var filename = '';
        $('#kt_dropzone_4').dropzone({
            type: "POST",
            url: "@Url.Action("UploadExcel", "ExcelImport")", // Set the url for your upload script location
            paramName: "file", // The name that will be used to transfer the file
            maxFiles: 1,
            maxFilesize: 100, // MB
            addRemoveLinks: true,
            acceptedFiles: ".xlsx",
            accept: function (file, done) {
                done();
                filename = file.name;
                $('#prebtn').show();
            }
        });
        function LoadExcelData() {
            $.ajax({
                type: "GET",
                url: '@Url.Action("GetExcelData", "ExcelImport")',
                data: { path: filename },
                success: function (response) {
                    swal.fire("Success!", "Data Loaded Successfully!", "success");
                    $('#DataTableView').html(response);
                    $('#prebtn').hide();
                    $('#DropzoneDiv').hide();
                    $('#kt_table_1').DataTable({
                        info: false,
                        scrollY: '40vh',
                        scrollX: 'auto',
                        scrollCollapse: true
                    });
                },
                error: function (response) {
                    swal.fire("Error!", "Something went wrong!", "error");
                }
            });
        }
        $(document).ready(function () {

            @if (TempData["Error"] != null)
            {
                @:swal.fire("Error", "@TempData["Error"]", "error");
                TempData["Error"] = null;
            }
            else if (TempData["Success"] != null)
            {
                @:swal.fire("Success", "@TempData["Success"]", "success");
                TempData["Success"] = null;
            }
            else if (TempData["Message"] != null)
            {
                @:swal.fire("Warning Message", "@TempData["Message"]", "warning");
                TempData["Message"] = null;
            }
            $('#prebtn').hide();
            $("#intro").removeAttr("hidden");
            $('table > tbody  > tr').each(function (index, tr) {
                $('#' + index).text($('#' + index).text().toString().replace(/\B(?=(\d{3})+(?!\d))/g, ","));
            });
        });
    </script>
}


<div class="row">
    <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">

        <!--begin::Portlet-->
        <div class="card card-custom">
            <div class="card-header">
                <div class="card-title">
                    <h3 class="card-label">
                        Upload Excel File
                    </h3>
                </div>
                <div class="card-toolbar">
                    <a class="btn btn-info" id="prebtn" onclick="LoadExcelData()">Preview</a>
                </div>
            </div>
            <div class="card-body">
                <div class="kt-section kt-section--first">
                    <h3 class="kt-section__title">
                        Excel Uploader
                    </h3>
                    <div class="separator separator-dashed mt-4 mb-4"></div>
                    <div class="form-group row" id="DropzoneDiv">
                        <div class="col-md-12">
                            <div class="kt_dropzone_2">
                                <div class="dropzone dropzone-default dropzone-primary " id="kt_dropzone_4">
                                    <div class="dropzone-msg dz-message needsclick">
                                        <h3 class="dropzone-msg-title">Drop files here or click to upload.</h3>
                                        <span class="dropzone-msg-desc">Upload up to 1 files</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                            <!--Display Error Message-->
                            <div style="color:red;">@ViewBag.Message</div>
                        </div>
                    </div>
                    <div id="DataTableView"></div>

                </div>
            </div>


        </div>
    </div>
</div>





